#include<bits/stdc++.h>
using namespace std;
int main()
{
  long long n,m,k;
  cin>>n>>m>>k;
  long long r1=0,r2=0;
  if(n%k)
  {r1=1;
  }
  if(m%k)
  {r2=1;
  }
  long long ans=((n/k)+r1)*((m/k)+r2);
  cout<<ans;
}